## magnus 1.0.2

=== debian/changelog ===
magnus (1.0.2-2) unstable; urgency=medium

  * Upload to unstable.

  * debian/control:
    + Bump Standards-Version: to 4.4.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 01 Aug 2019 20:36:02 +0200

magnus (1.0.2-1) experimental; urgency=medium

  [ Martin Wimpress ]
  * Initial release. (Closes: #930068).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 06 Jun 2019 16:33:03 +0200

## magnus 4.1.1

=== Makefile ===
##
##   $Id: Makefile,v 1.8 1997/02/19 15:06:32 bormotov Exp $
##


## Copyright (C) 1996 The New York Group Theory Cooperative
## See magnus/doc/COPYRIGHT for the full notice.

## Contents: Makefile for the magnus project.
##
## Principal Author: Roger Needham
##
## Status:  Useable.
##          @rn Doesn't clean magnus/doc/manual/ yet.
##
## Revision History:
##

## Things you may need to change for your system:

export CC = g++
export DEBUG = -DDEBUG -g
export DEFINE = -DHAVE_UNISTD_H
export CFLAGS = $(DEBUG) $(DEFINE)


## You shouldn't need to change the following:

.PHONY: all clean distclean mostlyclean realclean junkclean auxclean

all:
	@if [ ! -f back_end/global/config.h ]; \
         then echo; echo "You must run ./Configure first"; echo; exit 1; fi
	cd back_end; $(MAKE) all
	@echo
	@echo "The executable is ./front_end/magnus"
	@echo

## Deletes all executable, obj and library files
clean: junkclean
	cd back_end; $(MAKE) clean

## Deletes all files except executables
distclean: auxclean
	cd back_end; $(MAKE) distclean
	-rm -rf back_end/CVS back_end/Makefile back_end/canonical
	mv -f aConfigure Configure
	-rm -rf bin experiments misc CVS Makefile 

## Deletes only library and obj files
mostlyclean: junkclean
	cd back_end; $(MAKE) mostlyclean

realclean: distclean

junkclean:
	-find . \( -name "*[%~]"  -a -exec rm {} \; \) -o \
                \( -name "*.BAK"  -a -exec rm {} \; \) -o \
                \( -name "*.bak"  -a -exec rm {} \; \)

auxclean: junkclean
	-find . \( -name "*.aux"  -a -exec rm {} \; \) -o \
                \( -name "*.toc"  -a -exec rm {} \; \) -o \
                \( -name "*.dvi"  -a -exec rm {} \; \) -o \
                \( -name "#*#"    -a -exec rm {} \; \) -o \
                \( -name "*.ps"   -a -exec rm {} \; \)

=== back_end/Makefile ===
##
##   $Id: Makefile,v 1.14 2000/09/26 20:59:17 bormotov Exp $
##

## Copyright (C) 1996 The New York Group Theory Cooperative
## See magnus/doc/COPYRIGHT for the full notice.

## Contents: Makefile for the magnus back end.
##
## Principal Author: Roger Needham
##
## Status: Useable.
##
## Revision History:
##

## The following may be defined by a higher-level make:

ifeq (0,$(MAKELEVEL))
  CC = g++
  DEBUG = -DDEBUG -g
  DEFINE = -DHAVE_UNISTD_H
  CFLAGS = $(DEBUG) $(DEFINE)
endif

CFLAGS += $(INCLUDE)

export CC
export DEBUG
export DEFINE
export CFLAGS


SRC_DIRS = Elt Group general


.PHONY: all lib clean distclean mostlyclean realclean cleandepend

all: 
	@if [ ! -f global/config.h ]; \
         then echo; echo "You must run ./Configure first"; echo; exit 1; fi

	cd libg++; $(MAKE) all
	cd Elt; $(MAKE) all
	cd Equations; $(MAKE) all
	cd AProducts; $(MAKE) all
	cd FSA; $(MAKE) all
	cd Todd-Coxeter; $(MAKE) all
	cd Group; $(MAKE) all
	cd GAP; $(MAKE) all
	cd Apps; $(MAKE) all
	cd Map; $(MAKE) all
	cd KB; $(MAKE) all
	cd Subgroup; $(MAKE) all
	cd Genetic; $(MAKE) all
	cd NilpotentGroup; $(MAKE) all
	cd Polynomial; $(MAKE) all
	cd Matrix; $(MAKE) all
	cd general; $(MAKE) all
	cd black_boxes; $(MAKE) all
	cd Enumerators; $(MAKE) all
	cd Packages; $(MAKE) all
	cd SMApps; $(MAKE) catlib
	cd SessionManager; $(MAKE) catlib
	cd SessionManager; $(MAKE) magnus

lib:
	cd libg++; $(MAKE) lib
	cd Elt; $(MAKE) lib
	cd Equations; $(MAKE) lib
	cd AProducts; $(MAKE) lib
	cd FSA; $(MAKE) lib
	cd Todd-Coxeter; $(MAKE) lib
	cd Packages; $(MAKE) lib
	cd Enumerators; $(MAKE) lib
	cd Group; $(MAKE) lib
	cd GAP; $(MAKE) lib
	cd Apps; $(MAKE) lib  
	cd Map; $(MAKE) lib
	cd KB; $(MAKE) lib
	cd Subgroup; $(MAKE) lib
	cd Genetic; $(MAKE) lib
	cd NilpotentGroup; $(MAKE) lib
	cd Polynomial; $(MAKE) lib
	cd Matrix; $(MAKE) lib
	cd general; $(MAKE) lib
	cd black_boxes; $(MAKE) lib
	cd SMApps; $(MAKE) catlib
	cd SessionManager; $(MAKE) catlib
#	$(AR) cr lib/lib_back_end.a \
#                 Elt/lib/libElt.a \
#                 Group/lib/libGroup.a \
#                 general/lib/libgeneral.a
#	ranlib lib/lib_back_end.a
#	-cd lib; $(foreach file,$(wildcard ../global/*.h),ln $(file);)
#	-cd lib; $(foreach dir,$(SRC_DIRS),$(foreach file,$(wildcard ../$(dir)/*.h),ln $(file);))

clean:
	cd libg++; $(MAKE) clean
	cd Elt; $(MAKE) clean
	cd Equations; $(MAKE) clean
	cd AProducts; $(MAKE) clean
	cd FSA; $(MAKE) clean
	cd Enumerators; $(MAKE) clean
	cd Todd-Coxeter; $(MAKE) clean
	cd Packages; $(MAKE) clean
	cd Group; $(MAKE) clean
	cd GAP; $(MAKE) clean
	cd Apps; $(MAKE) clean
	cd Map; $(MAKE) clean
	cd KB; $(MAKE) clean
	cd Subgroup; $(MAKE) clean
	cd Genetic; $(MAKE) clean
	cd NilpotentGroup; $(MAKE) clean
	cd Polynomial; $(MAKE) clean
	cd Matrix; $(MAKE) clean
	cd general; $(MAKE) clean
	cd black_boxes; $(MAKE) clean
	cd SMApps; $(MAKE) clean
	cd SessionManager; $(MAKE) clean
	-rm lib/*

distclean:
	-rm -rf libg++
	-rm -rf Elt
	-rm -rf Equations
	-rm -rf AProducts
	-rm -rf FSA
	-rm -rf Todd-Coxeter
	-rm -rf Packages
	-rm -rf Enumerators
	-rm -rf Group
	-rm -rf GAP
	-rm -rf Apps
	-rm -rf Map
	-rm -rf KB
	-rm -rf Subgroup
	-rm -rf Genetic
	-rm -rf NilpotentGroup
	-rm -rf Polynomial
	-rm -rf Matrix
	-rm -rf general
	-rm -rf SMApps
	cd black_boxes; $(MAKE) distclean
	-rm -rf black_boxes/CVS black_boxes/README black_boxes/Makefile
	-rm -fr SessionManager/src
	-rm -fr SessionManager/CVS
	-rm -fr SessionManager/include
	-rm -fr SessionManager/lib
	-rm -f  SessionManager/test/*
	-rm -fr SessionManager/test/CVS
	-rm -fr SessionManager/test/bin/CVS
	-rm -fr SessionManager/Makefile
	-rm -fr global
	-rm -fr lib

mostlyclean:
	cd libg++; $(MAKE) mostlyclean
	cd Elt; $(MAKE) mostlyclean
	cd Equations; $(MAKE) mostlyclean
	cd AProducts; $(MAKE) mostlyclean
	cd FSA; $(MAKE) mostlyclean
	cd Group; $(MAKE) mostlyclean
	cd GAP; $(MAKE) mostlyclean
	cd Apps; $(MAKE) mostlyclean
	cd Todd-Coxeter; $(MAKE) mostlyclean
	cd Packages; $(MAKE) mostlyclean
	cd Enumerators; $(MAKE) mostlyclean
	cd Map; $(MAKE) mostlyclean
	cd KB; $(MAKE) mostlyclean
	cd Subgroup; $(MAKE) mostlyclean
	cd Genetic; $(MAKE) mostlyclean
	cd NilpotentGroup; $(MAKE) mostlyclean
	cd Polynomial; $(MAKE) mostlyclean
	cd Matrix; $(MAKE) mostlyclean
	cd general; $(MAKE) mostlyclean
	cd black_boxes; $(MAKE) mostlyclean
	cd SMApps; $(MAKE) mostlyclean
	cd SessionManager; $(MAKE) mostlyclean

realclean: distclean


cleandepend:
	cd libg++; $(MAKE) cleandepend
	cd Elt; $(MAKE) cleandepend
	cd Equations; $(MAKE) cleandepend
	cd AProducts; $(MAKE) cleandepend
	cd FSA; $(MAKE) cleandepend
	cd Todd-Coxeter; $(MAKE) cleandepend
	cd Packages; $(MAKE) cleandepend
	cd Enumerators; $(MAKE) cleandepend
	cd Group; $(MAKE) cleandepend
	cd GAP; $(MAKE) cleandepend
	cd Apps; $(MAKE) cleandepend
	cd Map; $(MAKE) cleandepend
	cd KB; $(MAKE) cleandepend
	cd Subgroup; $(MAKE) cleandepend
	cd Genetic; $(MAKE) cleandepend
	cd NilpotentGroup; $(MAKE) cleandepend
	cd Polynomial; $(MAKE) cleandepend
	cd Matrix; $(MAKE) cleandepend
	cd general; $(MAKE) cleandepend
	cd SMApps; $(MAKE) cleandepend
	cd SessionManager; $(MAKE) cleandepend

=== experiments/Makefile ===
##
##   $Id: Makefile,v 1.1.1.1 1995/11/20 18:33:29 rogern Exp $
##

## Copyright (C) 1994 The New York Group Theory Cooperative
## See magnus/doc/COPYRIGHT for the full notice.

## Contents: GNU Makefile for the experiments directory
##
## Principal Author: Roger Needham
##
## Status: Obscenely quick-n-dirty
##
## Revision History:
##


# INCLUDE lists the relative pathname of every directory where
# included header files are found:

INCLUDE = -Iinclude -I../back_end/global -I../back_end/general/include -I../back_end/Elt/include -I../back_end/Subgroup/include -I../back_end/Group/include -I../back_end/FSA/include -I../back_end/RKBP/include
SRCDIR = src
OBJDIR = obj

CC = g++
CFLAGS = -g


## The targets:

.PHONY: default
.PHONY: clean distclean cleandepend mostlyclean realclean
.PHONY: H.Neumann_conjecture H.Neumann_conjecture2 subgroupRelators

default:
	@echo select one of: H.Neumann_conjecture H.Neumann_conjecture2 subgroupRelators

clean: mostlyclean

distclean: clean

mostlyclean:
	-rm -f $(OBJDIR)/*

cleandepend:
	-rm -f $(OBJDIR)/*.d

realclean: distclean


H.Neumann_conjecture: obj/H.Neumann_conjecture.o
	cd ../back_end/Elt; $(MAKE) lib
	cd ../back_end/general; $(MAKE) lib
	cd ../back_end/Subgroup; $(MAKE) lib
	${CC} $(OBJDIR)/$@.o ../back_end/Subgroup/lib/libSubgroup.a ../back_end/Elt/lib/libElt.a ../back_end/general/lib/libgeneral.a -o bin/$@
	@echo
	@echo "The executable is ./bin/$@"
	@echo

H.Neumann_conjecture2: obj/H.Neumann_conjecture2.o
	cd ../back_end/Elt; $(MAKE) lib
	cd ../back_end/general; $(MAKE) lib
	cd ../back_end/Subgroup; $(MAKE) lib
	${CC} $(OBJDIR)/$@.o ../back_end/Subgroup/lib/libSubgroup.a ../back_end/Elt/lib/libElt.a ../back_end/general/lib/libgeneral.a -o bin/$@
	@echo
	@echo "The executable is ./bin/$@"
	@echo

subgroupRelators: obj/subgroupRelators.o
	cd ../back_end/Elt; $(MAKE) lib
	cd ../back_end/general; $(MAKE) lib
	cd ../back_end/Group; $(MAKE) lib
	cd ../back_end/FSA; $(MAKE) lib
	cd ../back_end/RKBP; $(MAKE) lib
	cd ../back_end/Subgroup; $(MAKE) lib
	${CC} $(OBJDIR)/$@.o ../back_end/Subgroup/lib/libSubgroup.a ../back_end/Elt/lib/libElt.a ../back_end/Group/lib/libGroup.a ../back_end/FSA/lib/libFSA.a ../back_end/RKBP/lib/libRKBP.a ../back_end/general/lib/libgeneral.a -o bin/$@
	@echo
	@echo "The executable is ./bin/$@"
	@echo


$(OBJDIR)/%.o: $(SRCDIR)/%.C $(OBJDIR)
	${CC} ${CFLAGS} $(INCLUDE) -c $< -o $@

=== back_end/AProducts/Makefile ===
##
##   $Id: Makefile,v 1.19 1999/11/23 20:17:48 bormotov Exp $
##

## Copyright (C) 1994 The New York Group Theory Cooperative
## See magnus/do/COPYRIGHT for the full notice.

## Contents: GNU Makefile for the AProducts hierarchy
##
## Authors: Stephane Collart & Roger Needham
##
## Status: Useable.
##
## Revision History:
## 
## IX/94: StC: Stripped out all specific compilation commands for the
##   test files and standardised them in compile.mk (which is split out
##   of global.mk). Moved INCLUDE to compile.mk and standardised.
##   Automatised linking in of other Back End components. Added
##   mechanism for cumulating -D's in DEFINE and in DEBUG (see
##   compile.mk for details).
##
##

##
## How you will need to change this file:
##
## - Add to FILES, and TESTS as you add new files.
##
## - State in BACKENDCOMPONENTS which other components of the Back End are
##   needed for this one, ie. need to be linked into the executables;
##   $(BACKENDROOT)/global/compile.mk will take care of linking them in.
##
## - $(BACKENDROOT)/global/global.mk will take care of remaking the
##   corresponding libSomeComponent if necessary.
##
## - If this component of the Back End needs any particular -D flags
##   to the compiler, add them in DEFINE below.
##
## - Normally, you should not need to set DEBUG and SAFETY here.
##
## All dependencies via #include directives are taken care of automatically.
##


######################################################################
#                                                                    #
# Define the variables describing the contents of this component of  #
# the Back End and the flags specific to it                          #
#                                                                    #
######################################################################

# DEFINE:
# If you need any extra DEFINES, put them here, taking care not to wipe
# out any passed from the command line or a higher level make

override DEFINE +=

# DEBUG:
# If you set DEBUG here, this will wipe out the defaults for the Back
# End; to add individual DEBUG flags when compiling, set DEBUG on
# the command line

# DEBUG =

# SAFETY:
# If you want to override the default for SAFETY, you can either set it
# here or on the command line

# SAFETY =

# BACKENDCOMPONENTS:
# BACKENDCOMPONENTS is all the components of the Back End needed by
# this component and its TESTS (other than the current component)

BACKENDCOMPONENTS = libg++ general Elt Map Group Matrix Equations FSA KB Subgroup

# FILES:
# FILES lists all source files (without .[Cc] suffixes) which are
# part of the Elt hierarchy:

FILES = APofFreeGroupsRep AmalgamatedProductParser AP-fixups \
	APwithOneRelatorRep OneRelatorGroup MagnusBreakdown \
	SubgroupOfOneRelatorGroup HNNExtOfORGroup SuperGen Range CONDITION \
	HNNExtension HNNExtOfFreeGroup HNNParser Margin Whitehead ORProblems \
	OneRelatorGroupWithTorsion ShortenByRelators2 maximalRoot

# TESTS:
# TESTS lists all source files (without .[Cc] suffixes) in test:

TESTS = debug-APGroup debug-ORWP debug-ORWTorsion


######################################################################
######################################################################
## Do NOT change this:                                               #
#                                                                    #
include ../global/global.mk                                          #
#                                                                    #
##                                                                   #
######################################################################
######################################################################

=== back_end/Apps/Makefile ===
##
##   $Id: Makefile,v 1.1 2000/02/09 20:47:11 alex Exp $
##

## Copyright (C) 2000 The New York Group Theory Cooperative
## See magnus/doc/COPYRIGHT for the full notice.

## Contents: GNU Makefile for the Apps hierarchy
##
## Authors: Denis Serbin
##
## Status: Useable.
##
## Revision History:
##
## IX/94: StC: Stripped out all specific compilation commands for the
##   test files and standardised them in compile.mk (which is split out
##   of global.mk). Moved INCLUDE to compile.mk and standardised.
##   Automatised linking in of other Back End components. Added
##   mechanism for cumulating -D's in DEFINE and in DEBUG (see
##   compile.mk for details).
##
##

##
## How you will need to change this file:
##
## - Add to FILES, and TESTS as you add new files.
##
## - State in BACKENDCOMPONENTS which other components of the Back End are
##   needed for this one, ie. need to be linked into the executables;
##   $(BACKENDROOT)/global/compile.mk will take care of linking them in.
##
## - $(BACKENDROOT)/global/global.mk will take care of remaking the
##   corresponding libSomeComponent if necessary.
##
## - If this component of the Back End needs any particular -D flags
##   to the compiler, add them in DEFINE below.
##
## - Normally, you should not need to set DEBUG and SAFETY here.
##
## All dependencies via #include directives are taken care of automatically.
##


######################################################################
#                                                                    #
# Define the variables describing the contents of this component of  #
# the Back End and the flags specific to it                          #
#                                                                    #
######################################################################

# DEFINE:
# If you need any extra DEFINES, put them here, taking care not to wipe
# out any passed from the command line or a higher level make

override DEFINE +=

# DEBUG:
# If you set DEBUG here, this will wipe out the defaults for the Back
# End; to add individual DEBUG flags when compiling, set DEBUG on
# the command line

# DEBUG =

# SAFETY:
# If you want to override the default for SAFETY, you can either set it
# here or on the command line

# SAFETY =

# BACKENDCOMPONENTS:
# BACKENDCOMPONENTS is all the components of the Back End needed by
# this component and its TESTS (other than the current component)

BACKENDCOMPONENTS = libg++ general Elt Equations Group Subgroup KB FSA Map Todd-Coxeter

# FILES:
# FILES lists all source files (without .[Cc] suffixes) which are
# part of the Elt hierarchy:

FILES = PresentationProblems 

# TESTS:
# TESTS lists all source files (without .[Cc] suffixes) in test:

TESTS = 

######################################################################
######################################################################
## Do NOT change this:                                               #
#                                                                    #
include ../global/global.mk                                          #
#                                                                    #
##                                                                   #
######################################################################
######################################################################

=== back_end/Elt/Makefile ===
##
##   $Id: Makefile,v 1.5 1999/11/23 20:21:37 bormotov Exp $
##

## Copyright (C) 1994 The New York Group Theory Cooperative
## See magnus/doc/COPYRIGHT for the full notice.

## Contents: GNU Makefile for the Elt hierarchy
##
## Authors: Stephane Collart & Roger Needham
##
## Status: Useable.
##
## Revision History:
##
## IX/94: StC: Stripped out all specific compilation commands for the
##   test files and standardised them in compile.mk (which is split out
##   of global.mk). Moved INCLUDE to compile.mk and standardised.
##   Automatised linking in of other Back End components. Added
##   mechanism for cumulating -D's in DEFINE and in DEBUG (see
##   compile.mk for details).
##
##

##
## How you will need to change this file:
##
## - Add to FILES, and TESTS as you add new files.
##
## - State in BACKENDCOMPONENTS which other components of the Back End are
##   needed for this one, ie. need to be linked into the executables;
##   $(BACKENDROOT)/global/compile.mk will take care of linking them in.
##
## - $(BACKENDROOT)/global/global.mk will take care of remaking the
##   corresponding libSomeComponent if necessary.
##
## - If this component of the Back End needs any particular -D flags
##   to the compiler, add them in DEFINE below.
##
## - Normally, you should not need to set DEBUG and SAFETY here.
##
## All dependencies via #include directives are taken care of automatically.
##


######################################################################
#                                                                    #
# Define the variables describing the contents of this component of  #
# the Back End and the flags specific to it                          #
#                                                                    #
######################################################################

# DEFINE:
# If you need any extra DEFINES, put them here, taking care not to wipe
# out any passed from the command line or a higher level make

override DEFINE +=

# DEBUG:
# If you set DEBUG here, this will wipe out the defaults for the Back
# End; to add individual DEBUG flags when compiling, set DEBUG on
# the command line

# DEBUG =

# SAFETY:
# If you want to override the default for SAFETY, you can either set it
# here or on the command line

# SAFETY =

# BACKENDCOMPONENTS:
# BACKENDCOMPONENTS is all the components of the Back End needed by
# this component and its TESTS (other than the current component)

BACKENDCOMPONENTS = libg++ general

# FILES:
# FILES lists all source files (without .[Cc] suffixes) which are
# part of the Elt hierarchy:

FILES = Elt EltRep Word WordRep NormalRandomWord AbelianWord

# TESTS:
# TESTS lists all source files (without .[Cc] suffixes) in test:

TESTS = test-Word debug-Word 

######################################################################
######################################################################
## Do NOT change this:                                               #
#                                                                    #
include ../global/global.mk                                          #
#                                                                    #
##                                                                   #
######################################################################
######################################################################

=== back_end/Enumerators/Makefile ===

## $Id:

## Copyright (C) 1998 The New York Group Theory Cooperative
## See magnus/doc/COPYRIGHT for the full notice.

## Contents: GNU Makefile for the SMEnumerators and SMlists problems implementation
##
## Principal Author: Roger Needham, Alexei Myasnikov
##
## Status: Useable.
##
## Revision History:
##

##
## How you will need to change this file:
##
## - Add to FILES, and TESTS as you add new files.
##
## - State in BACKENDCOMPONENTS which other components of the Back End are
##   needed for this one, ie. need to be linked into the executables;
##   $(BACKENDROOT)/global/compile.mk will take care of linking them in.
##
## - $(BACKENDROOT)/global/global.mk will take care of remaking the
##   corresponding libSomeComponent if necessary.
##
## - If this component of the Back End needs any particular -D flags
##   to the compiler, add them in DEFINE below.
##
## - Normally, you should not need to set DEBUG and SAFETY here.
##
## All dependencies via #include directives are taken care of automatically.
##


######################################################################
#                                                                    #
# Define the variables describing the contents of this component of  #
# the Back End and the flags specific to it                          #
#                                                                    #
######################################################################

# DEFINE:
# If you need any extra DEFINES, put them here, taking care not to wipe
# out any passed from the command line or a higher level make

override DEFINE +=

# DEBUG:
# If you set DEBUG here, this will wipe out the defaults for the Back
# End; to add individual DEBUG flags when compiling, set DEBUG on
# the command line

# DEBUG =

# SAFETY:
# If you want to override the default for SAFETY, you can either set it
# here or on the command line

# SAFETY =


# BACKENDCOMPONENTS:
# BACKENDCOMPONENTS is all the components of the Back End needed by
# this component and its TESTS (other than the current component)

BACKENDCOMPONENTS = libg++ general Elt Matrix Equations Group Subgroup KB FSA\
		    Map Genetic NilpotentGroup AProducts Todd-Coxeter  \
		    SessionManager SMApps


# FILES:
# FILES lists all source files (without .[Cc] suffixes) which are
# part of the Elt hierarchy:

FILES = SMListIterator SubgroupEnumerator WEnumerator ListProblems \
	REnumerator SMListWordProblem SMListSubgroupProblems FreeListProblems \
	AutoEnumerator SGREnumerator ORConsequencesEnumerator HomEnumerators

# TESTS:
# TESTS lists all source files (without .[Cc] suffixes) in test:


TESTS = 


######################################################################
######################################################################
## Do NOT change this:                                               #
#                                                                    #
include ../global/global.mk                                          #
#                                                                    #
##                                                                   #
######################################################################
######################################################################

=== back_end/Equations/Makefile ===
##   
##   $id$
##

## Copyright (C) 1994 The New York Group Theory Cooperative
## See magnus/doc/COPYRIGHT for the full notice.

## Contents: GNU Makefile for the Equation hierarchy
##
## Principal Author: Dmitry Pechkin
##
## Status: Useable.
##
## Revision History:
##

##
## How you will need to change this file:
##
## - Add to FILES, and TESTS as you add new files.
##
## - State in BACKENDCOMPONENTS which other components of the Back End are
##   needed for this one, ie. need to be linked into the executables;
##   $(BACKENDROOT)/global/compile.mk will take care of linking them in.
##
## - $(BACKENDROOT)/global/global.mk will take care of remaking the
##   corresponding libSomeComponent if necessary.
##
## - If this component of the Back End needs any particular -D flags
##   to the compiler, add them in DEFINE below.
##
## - Normally, you should not need to set DEBUG and SAFETY here.
##
## All dependencies via #include directives are taken care of automatically.
##


######################################################################
#                                                                    #
# Define the variables describing the contents of this component of  #
# the Back End and the flags specific to it                          #
#                                                                    #
######################################################################

# DEFINE:
# If you need any extra DEFINES, put them here, taking care not to wipe
# out any passed from the command line or a higher level make

override DEFINE += 

# DEBUG:
# If you set DEBUG here, this will wipe out the defaults for the Back
# End; to add individual DEBUG flags when compiling, set DEBUG on
# the command line

# DEBUG =

# SAFETY:
# If you want to override the default for SAFETY, you can either set it
# here or on the command line

# SAFETY =

# BACKENDCOMPONENTS:
# BACKENDCOMPONENTS is all the components of the Back End needed by
# this component and its TESTS (other than the current component)

BACKENDCOMPONENTS = libg++ general Elt Polynomial Matrix Group FSA KB Map # Subgroup

# FILES:
# FILES lists all source files (without .[Cc] suffixes) which are
# part of the Elt hierarchy:

FILES = QEqnSolutions TupleEnumerator SolutionsEnum DGESolver Queue


# TESTS:
# TESTS lists all source files (without .[Cc] suffixes) in test:

TESTS = debug-QEquation debug-DGE #debug-QEquationNew test-VectorPtr debug-QEquation

######################################################################
######################################################################
## Do NOT change this:                                               #
#                                                                    #
include ../global/global.mk                                          #
#                                                                    #
##                                                                   #
######################################################################
######################################################################

=== back_end/FSA/Makefile ===
##
##   $Id: Makefile,v 1.3 1999/11/23 20:26:22 bormotov Exp $
##

## Copyright (C) 1994 The New York Group Theory Cooperative
## See magnus/doc/COPYRIGHT for the full notice.

## Contents: GNU Makefile for the FSA hierarchy
##
## Authors: Stephane Collart & Roger Needham
##
## Status: Useable.
##
## Revision History:
##
## IX/94: StC: Stripped out all specific compilation commands for the
##   test files and standardised them in compile.mk (which is split out
##   of global.mk). Moved INCLUDE to compile.mk and standardised.
##   Automatised linking in of other Back End components. Added
##   mechanism for cumulating -D's in DEFINE and in DEBUG (see
##   compile.mk for details).
##
##

##
## How you will need to change this file:
##
## - Add to FILES, and TESTS as you add new files.
##
## - State in BACKENDCOMPONENTS which other components of the Back End are
##   needed for this one, ie. need to be linked into the executables;
##   $(BACKENDROOT)/global/compile.mk will take care of linking them in.
##
## - State a dependency, for any files in TESTS which depend on other
##   components, of the form:
##      test-Blabla: SomeComponent
##   $(BACKENDROOT)/global/global.mk will take care of remaking the
##   corresponding libSomeComponent if necessary.
##
## - If this component of the Back End needs any particular -D flags
##   to the compiler, add them in DEFINE below.
##
## - Normally, you should not need to set DEBUG and SAFETY here.
##
## All dependencies via #include directives are taken care of automatically.
##


######################################################################
#                                                                    #
# Define the variables describing the contents of this component of  #
# the Back End and the flags specific to it                          #
#                                                                    #
######################################################################

# DEFINE:
# If you need any extra DEFINES, put them here, taking care not to wipe
# out any passed from the command line or a higher level make

override DEFINE +=

# DEBUG:
# If you set DEBUG here, this will wipe out the defaults for the Back
# End; to add individual DEBUG flags when compiling, set DEBUG on
# the command line

# DEBUG =

# SAFETY:
# If you want to override the default for SAFETY, you can either set it
# here or on the command line

# SAFETY =

# BACKENDCOMPONENTS:
# BACKENDCOMPONENTS is all the components of the Back End needed by
# this component and its TESTS (other than the current component)

BACKENDCOMPONENTS = libg++ general Elt Group KB

# FILES:
# FILES lists all source files (without .[Cc] suffixes) which are
# part of the FSA hierarchy:

FILES = DFSAParser DFSARep  

# TESTS:
# TESTS lists all source files (without .[Cc] suffixes) in test:

TESTS = test-FSA 

######################################################################
## Do NOT change this:                                               #
#                                                                    #
include ../global/global.mk                                          #
#                                                                    #
##                                                                   #
######################################################################


######################################################################
#                                                                    #
# Now for each target in TESTS, if it depends on components of the   #
# Back End other than this one, say so here:                         #
#                                                                    #
######################################################################

test-FSA: general Elt Group

######################################################################

=== back_end/GAP/Makefile ===
##
##   $Id: Makefile,v 1.1 2000/09/26 21:30:38 bormotov Exp $
##

## Copyright (C) 1994 The New York Group Theory Cooperative
## See magnus/doc/COPYRIGHT for the full notice.


## Contents: GNU Makefile for the GAP hierarchy
##
## Authors: Dmitry Bormotov
##
## Status: Useable.
##
## Revision History:
##
## IX/94: StC: Stripped out all specific compilation commands for the
##   test files and standardised them in compile.mk (which is split out
##   of global.mk). Moved INCLUDE to compile.mk and standardised.
##   Automatised linking in of other Back End components. Added
##   mechanism for cumulating -D's in DEFINE and in DEBUG (see
##   compile.mk for details).
##
##

##
## How you will need to change this file:
##
## - Add to FILES, and TESTS as you add new files.
##
## - State in BACKENDCOMPONENTS which other components of the Back End are
##   needed for this one, ie. need to be linked into the executables;
##   $(BACKENDROOT)/global/compile.mk will take care of linking them in.
##
## - $(BACKENDROOT)/global/global.mk will take care of remaking the
##   corresponding libSomeComponent if necessary.
##
## - If this component of the Back End needs any particular -D flags
##   to the compiler, add them in DEFINE below.
##
## - Normally, you should not need to set DEBUG and SAFETY here.
##
## All dependencies via #include directives are taken care of automatically.
##


######################################################################
#                                                                    #
# Define the variables describing the contents of this component of  #
# the Back End and the flags specific to it                          #
#                                                                    #
######################################################################

# DEFINE:
# If you need any extra DEFINES, put them here, taking care not to wipe
# out any passed from the command line or a higher level make

override DEFINE +=

# DEBUG:
# If you set DEBUG here, this will wipe out the defaults for the Back
# End; to add individual DEBUG flags when compiling, set DEBUG on
# the command line

# DEBUG =

# SAFETY:
# If you want to override the default for SAFETY, you can either set it
# here or on the command line

# SAFETY =

# BACKENDCOMPONENTS:
# BACKENDCOMPONENTS is all the components of the Back End needed by
# this component and its TESTS (other than the current component)

BACKENDCOMPONENTS = libg++ general #Elt Group Map

# FILES:
# FILES lists all source files (without .[Cc] suffixes) which are
# part of the general library:


FILES = Permutation PermutationParser


# TESTS:
# TESTS lists all source files (without .[Cc] suffixes) in test:


TESTS = debug-PermParser debug-Permutation #proba


######################################################################
######################################################################
## Do NOT change this:                                               #
#                                                                    #
include ../global/global.mk                                          #
#                                                                    #
##                                                                   #
######################################################################
######################################################################

=== back_end/Genetic/Makefile ===
##
##   $Id: Makefile,v 1.12 2000/09/28 17:14:47 bormotov Exp $
##

## Copyright (C) 1997 The New York Group Theory Cooperative
## See magnus/do/COPYRIGHT for the full notice.

## Contents: GNU Makefile for the Genetic hierarchy
##
## Authors: Stephane Collart & Roger Needham
##
## Status: Useable.
## 
## Revision History:
## 
## IX/94: StC: Stripped out all specific compilation commands for the
##   test files and standardised them in compile.mk (which is split out
##   of global.mk). Moved INCLUDE to compile.mk and standardised.
##   Automatised linking in of other Back End components. Added
##   mechanism for cumulating -D's in DEFINE and in DEBUG (see
##   compile.mk for details).
##
##

##
## How you will need to change this file:
##
## - Add to FILES, and TESTS as you add new files.
##
## - State in BACKENDCOMPONENTS which other components of the Back End are
##   needed for this one, ie. need to be linked into the executables;
##   $(BACKENDROOT)/global/compile.mk will take care of linking them in.
##
## - $(BACKENDROOT)/global/global.mk will take care of remaking the
##   corresponding libSomeComponent if necessary.
##
## - If this component of the Back End needs any particular -D flags
##   to the compiler, add them in DEFINE below.
##
## - Normally, you should not need to set DEBUG and SAFETY here.
##
## All dependencies via #include directives are taken care of automatically.
##


######################################################################
#                                                                    #
# Define the variables describing the contents of this component of  #
# the Back End and the flags specific to it                          #
#                                                                    #
######################################################################

# DEFINE:
# If you need any extra DEFINES, put them here, taking care not to wipe
# out any passed from the command line or a higher level make

override DEFINE +=

# DEBUG:
# If you set DEBUG here, this will wipe out the defaults for the Back
# End; to add individual DEBUG flags when compiling, set DEBUG on
# the command line

# DEBUG =

# SAFETY:
# If you want to override the default for SAFETY, you can either set it
# here or on the command line

# SAFETY =

# BACKENDCOMPONENTS:
# BACKENDCOMPONENTS is all the components of the Back End needed by
# this component and its TESTS (other than the current component)

BACKENDCOMPONENTS = libg++ general Elt Matrix Polynomial Equations Group Subgroup Map AProducts 

# FILES:
# FILES lists all source files (without .[Cc] suffixes) which are
# part of the Elt hierarchy:

FILES = Config GASubgroup GAWord GAWP GAEquationSolver ACConfig \
	GAIsPartOfBasis TwoCommSolver ACGA GACPforORGSolver #GAConfig \
	PMWord PMArray GA_ PMDebornoyWord GAFastBurMat PMPolynomial \
	GANagata


# TESTS:
# TESTS lists all source files (without .[Cc] suffixes) in test:


TESTS = #HNC HNC2 eq eq2 wp wp2 eqs GraphicEquation debug-TwoComm proba2 \
	btoa burmat PolyMult fbm burcom Wada debug-PMPoly Nagata Wada2


######################################################################
######################################################################
## Do NOT change this:                                               #
#                                                                    #
include ../global/global.mk                                          #
#                                                                    #
##                                                                   #
######################################################################
######################################################################

=== back_end/Group/Makefile ===
##
##   $Id: Makefile,v 1.27 2002/01/08 17:53:20 xwang Exp $
##

## Copyright (C) 1994 The New York Group Theory Cooperative
## See magnus/do/COPYRIGHT for the full notice.

## Contents: GNU Makefile for the Elt hierarchy
##
## Authors: Stephane Collart & Roger Needham
##
## Status: Useable.
##
## Revision History:
## 
## IX/94: StC: Stripped out all specific compilation commands for the
##   test files and standardised them in compile.mk (which is split out
##   of global.mk). Moved INCLUDE to compile.mk and standardised.
##   Automatised linking in of other Back End components. Added
##   mechanism for cumulating -D's in DEFINE and in DEBUG (see
##   compile.mk for details).
##
##

##
## How you will need to change this file:
##
## - Add to FILES, and TESTS as you add new files.
##
## - State in BACKENDCOMPONENTS which other components of the Back End are
##   needed for this one, ie. need to be linked into the executables;
##   $(BACKENDROOT)/global/compile.mk will take care of linking them in.
##
## - $(BACKENDROOT)/global/global.mk will take care of remaking the
##   corresponding libSomeComponent if necessary.
##
## - If this component of the Back End needs any particular -D flags
##   to the compiler, add them in DEFINE below.
##
## - Normally, you should not need to set DEBUG and SAFETY here.
##
## All dependencies via #include directives are taken care of automatically.
##


######################################################################
#                                                                    #
# Define the variables describing the contents of this component of  #
# the Back End and the flags specific to it                          #
#                                                                    #
######################################################################

# DEFINE:
# If you need any extra DEFINES, put them here, taking care not to wipe
# out any passed from the command line or a higher level make

override DEFINE +=

# DEBUG:
# If you set DEBUG here, this will wipe out the defaults for the Back
# End; to add individual DEBUG flags when compiling, set DEBUG on
# the command line

# DEBUG =

# SAFETY:
# If you want to override the default for SAFETY, you can either set it
# here or on the command line

# SAFETY =

# BACKENDCOMPONENTS:
# BACKENDCOMPONENTS is all the components of the Back End needed by
# this component and its TESTS (other than the current component)


BACKENDCOMPONENTS = libg++ general Elt Map Matrix Polynomial FSA KB

		     
# FILES:
# FILES lists all source files (without .[Cc] suffixes) which are
# part of the Elt hierarchy:

FILES = FGGroup FGGroupRep FPGroup FPGroupRep FreeByCyclic FreeGroup \
	FreeGroupRep Group GroupRep Homology MSCGroup PresentationParser \
        RandomMSCGroup SmithNormalForm TietzeTrekker  \
        ShortenByRelators SymmetricRelators ORWordProblem\
	AbelianInfinitenessProblem EquationParser MSCGConjugacyProblem \
	GeneralWhitehead PrimeNumbers AbelianGroup AbelianGroupRep \
        AbelianSGPresentation GroupFastChecks TTP Products WordEnumerator \
	PowerSeriesWP RipsConstruction EqSystemParser AbelianEquations \
	SmithNormalForm1

# TESTS:
# TESTS lists all source files (without .[Cc] suffixes) in test:

TESTS = debug-MSCGroup test-SymmetricRelators debug-AbelianGroup \
	debug-AbelianInfinitenessProblem debug-EquationParser \
	debug-MSCGConjugacyProblem debug-RandomMSCGroup \
#	debug-RipsConstruction #debug-EqSystemParser


######################################################################
######################################################################
## Do NOT change this:                                               #
#                                                                    #
include ../global/global.mk                                          #
#                                                                    #
##                                                                   #
######################################################################
######################################################################

## magnus 1.0.3

=== debian/changelog ===
magnus (1:1.0.3-4) unstable; urgency=medium

  * debian/control:
    + Add Rules-Requires-Root: field and set it to no.
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/upstream/metadata:
    + Drop obsolete fields Contact: and Name:.
  * debian/patches:
    + Add 1001_py-setup-no-i18n.patch. Fix FTBFS issue due to clean_i18n target
      by dropping all i18n functionality. The 'magnus' tool does not come with
      translation files. (Closes: #1054785).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 05 Nov 2023 13:46:40 +0000

magnus (1:1.0.3-3) unstable; urgency=medium

  * Revert the unintended changes listed below. There were not meant to
    end up in the Debian bullseye version of this package.

  * debian/control:
    + revert: Bump DH compat level to version 13.
    + revert: Bump Standards-Version: to 4.5.0. No changes needed.
    + revert: Add Rules-Requires-Root: field and set it to no.
  * debian/upstream/metadata:
    + revert: Append .git suffix to URLs in Repository: field.
    + revert: Drop obsolete fields Contact: and Name:.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 30 Jul 2021 20:21:26 +0200

magnus (1:1.0.3-2) unstable; urgency=medium

  * debian/changelog:
    + Introduce epoch 1 in package version. Debian previously (until Debian 6)
      had another piece of software called 'magnus' with a higher version
      number. (Closes: #991624).
  * debian/copyright:
    + Update copyright attributions.

  * The following changelog entries have been added here post-upload and were
    not intended to end up in this version.

  * debian/control:
    + Bump DH compat level to version 13.
    + Bump Standards-Version: to 4.5.0. No changes needed.
    + Add Rules-Requires-Root: field and set it to no.
  * debian/upstream/metadata:
    + Append .git suffix to URLs in Repository: field.
    + Drop obsolete fields Contact: and Name:.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 30 Jul 2021 12:14:37 +0200

magnus (1.0.3-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 28 Sep 2019 00:30:02 +0200

=== debian/control ===
Source: magnus
Section: utils
Priority: optional
Maintainer: Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>
Uploaders: Martin Wimpress <martin.wimpress@ubuntu.com>,
           Mike Gabriel <sunweaver@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3,
               python3-distutils-extra,
               python3-setuptools,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/stuartlangridge/magnus
Vcs-Browser: https://salsa.debian.org/debian-mate-team/magnus
Vcs-Git: https://salsa.debian.org/debian-mate-team/magnus.git

Package: magnus
Architecture: all
Depends: gir1.2-gdkpixbuf-2.0,
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-keybinder-3.0,
         python3 (>= 3.3),
         python3-gi,
         python3-setproctitle,
         ${misc:Depends},
         ${python3:Depends},
Description: Very simple screen magnifier
 Magnus is a simple screen magnifying glass. It nicely integrates with
 X11 desktops like MATE or Xfce (probably with others not named here,
 too).
 .
 Visually impaired users may find this tool helpful for zooming into
 certain screen areas in order to improve readability/visibilty of fonts,
 icons and other data.

=== debian/rules ===
#!/usr/bin/make -f

DHFLAGS=
export PYBUILD_SYSTEM=distutils

%:
	dh $@ $(DHFLAGS) --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	rm -Rf Magnus.egg-info/

	# dh_auto_clean with pybuild/distutils only works if setup.py is
	# present
	if [ -f setup.py ]; then \
		dh_auto_clean; \
	fi

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --repack --destdir=..

=== debian/watch ===
version=3
https://github.com/stuartlangridge/magnus/tags .*/V?(\d\S*)\.tar\.gz
